%define modname bcompiler
%define soname %{modname}.so
%define inifile A88_%{modname}.ini

Summary:	A bytecode compiler for PHP
Name:		php-%{modname}
Version:	0.9.3
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/bcompiler
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	bzip2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
bcompiler enables you to encode your scripts in phpbytecode, enabling you to
protect the source code. bcompiler could be used in the following situations:

 - to create a exe file of a PHP-GTK application (in conjunction with other
   software)
 - to create closed source libraries
 - to provide clients with time expired software (prior to payment)
 - to deliver close source applications
 - for use on embedded systems, where disk space is a priority.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

# fix attribs
chmod 644 examples/*.php CREDITS README TODO

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README TODO examples/*.php package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdv2010.1
+ Revision: 514499
- 0.9.3

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdv2010.1
+ Revision: 485301
- 0.9.2

* Mon Nov 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdv2010.1
+ Revision: 472100
- 0.9.1

* Tue Nov 24 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.r291261.1mdv2010.1
+ Revision: 469540
- new svn snap (r291261)
- rebuilt against php-5.3.1
- 0.9.0 (svn snap)
- rebuild
- rebuilt for php-5.3.0RC2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8-5mdv2009.1
+ Revision: 346396
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8-4mdv2009.1
+ Revision: 341709
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-3mdv2009.1
+ Revision: 321704
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdv2009.1
+ Revision: 310250
- rebuilt against php-5.2.7

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdv2009.1
+ Revision: 305482
- import php-bcompiler


* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdv2009.0
- initial Mandriva package
